;==============================================================================================
;
; COMMANDS DEFINITION
;
;==============================================================================================

;-| Default Values |---------------------------------------------------------------------------
[Defaults]

command.time = 15
command.buffer.time = 1


;-| Single Button |----------------------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1


;-| Hold Direction |---------------------------------------------------------------------------

[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1


;-| Hold Button |------------------------------------------------------------------------------

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdstart"
command = /s
time = 1


;-| CPU |--------------------------------------------------------------------------------------

[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x
time = 1

[Command]
name = "recovery2"
command = y
time = 1

[Command]
name = "recovery2"
command = z
time = 1

[Command]
name = "recovery2"
command = a
time = 1

[Command]
name = "recovery2"
command = b
time = 1

[Command]
name = "recovery2"
command = c
time = 1


;-| Recovery |---------------------------------------------------------------------------------

[Command]
name 	= "recovery";Required (do not remove)
command = x
time 	= 1

[Command]
name 	= "recovery";Required (do not remove)
command = y
time 	= 1

[Command]
name 	= "recovery";Required (do not remove)
command = z
time 	= 1

[Command]
name 	= "recovery";Required (do not remove)
command = a
time 	= 1

[Command]
name 	= "recovery";Required (do not remove)
command = b
time 	= 1

[Command]
name 	= "recovery";Required (do not remove)
command = c
time 	= 1


;-| Supers |-----------------------------------------------------------------------------------

[Command]
name = "d_d_x"
command = ~D, D, x
time = 20

[Command]
name = "d_d_y"
command = ~D, D, y
time = 20

[Command]
name = "d_d_a"
command = ~D, D, a
time = 20

[Command]
name = "d_d_b"
command = ~D, D, b
time = 20

[Command]
name = "跳斩"
command = ~D,F,z
time =11

[Command]
name = "诺克萨斯断头台"
command = ~D,F,D,B,z
time = 24
;-| Special Motions |--------------------------------------------------------------------------

[Command]
name = "qcf_x"
command = ~D, F, a
time = 15

[Command]
name = "qcf_xx"
command = ~D, F, b
time = 15


[Command]
name = "qcf_y"
command = ~D, F, y
time = 15

[Command]
name = "qcf_z"
command = ~D, F, c
time = 15

[Command]
name = "qcf_c"
command = ~D, D, c
time = 15

[Command]
name = "qcb_x"
command = ~D, B, x
time = 15

[Command]
name = "qcb_y"
command = ~D, B, y
time = 15

[Command]
name = "qcb_z"
command = ~D, D, z
time = 15

[Command]
name = "qcb_c"
command = ~D, D, c
time = 15

[Command]
name = "超级无敌我登你"
command = ~D, B, c
time = 11


[Command]
name = "biao"
command = ~D, B, y
time = 15

[Command]
name = "biao"
command = ~D, B, x
time = 15

[Command]
name = "致残打击"
command = ~D,B,z
time = 17


[Command]
name = "无情铁手"
command = ~D,B,a
time = 17

[Command]
name = "无情铁手2"
command = ~D,B, b
time = 17
;-| Double Tap |-------------------------------------------------------------------------------

[Command]
name 	= "FF"     ; Required (do not remove)
command = F, F

[Command]
name 	= "BB"     ; Required (do not remove)
command = B, B


;-| 2/3 Button Combination |-------------------------------------------------------------------



;----------------------------------------------------------------------------------------------
;
; STATE ENTRY
;
;----------------------------------------------------------------------------------------------

[Statedef -1]

;----------------------------------------------------------------------------------------------
; AI Mode
;----------------------------------------------------------------------------------------------

; AI Initialisation
;------------------

[State -1, AI Helper Check]
type = ChangeState
trigger1 = IsHelper(9741)
value = 9741

[State -1, AI Helper Check 2]
type = ChangeState
trigger1 = IsHelper(9742)
value = 9742


; AI Magic Moves
;---------------

[State -1, AI RikiOh]
type = ChangeState
triggerall = var(57) = 1 && var(6)=1
triggerall = (P2bodydist x > 150)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 100))
value = 2100

[State -1, AI KinGoh]
type = ChangeState
triggerall = var(57) = 1 && var(6)=1
triggerall = (P2bodydist x > 150)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 100))
value = 2200


; AI Standing Attacks
;--------------------

[State -1, AI super strike]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [0,70)) && (Enemy, Anim = 5300) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [440, 460))
value = 2000



[State -1, AI throw]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x <= 20) && (P2StateType != A) && (P2MoveType != H)
trigger1 = (StateType = S) && (ctrl) && (random = [0, 200))
value = 800
[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-15, 55]) && (P2StateType != A) && (P2Life > 0)
trigger1 =power>100
trigger1 = (StateType != A) && (ctrl) && (random = [0, 200))
value = 1699
[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = var(2) = 5
triggerall = var(7) = 2
triggerall = var(21) = 0
triggerall = (P2bodydist x = [-15, 55]) && (P2StateType != L) && (P2Life > 0)
trigger1 =  (ctrl) && (random = [0, 900))
value = 3000
[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = var(2) = 5
triggerall = var(7) = 1
triggerall = var(21) = 0
triggerall = (P2bodydist x = [-15, 55]) && (P2StateType != L) && (P2Life < 400)
trigger1 =  (ctrl) && (random = [0, 300))
value = 3000
[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = var(2) < 5
triggerall = var(21) = 0
triggerall = (P2bodydist x = [-15, 55]) && (P2StateType != L) && (P2Life < 300)
trigger1 =power>450
trigger1 =  (ctrl) && (random = [0, 300))
value = 3000

[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-15, 145]) && (P2StateType != L) && (P2Life > 0)
trigger1 =power>250
trigger1 = (StateType != A) && (ctrl) && (random = [0, 200))
value = 1850
[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-15, 145]) && (P2StateType = C) && (P2Life > 0)
trigger1 =power>250
trigger1 = (StateType != A) && (ctrl) && (random = [0, 500))
value = 1800

[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-55, 125]) && (P2StateType != A) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 100))
trigger1 =power>150
value = 1000

[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-55, 125]) && (P2StateType != A) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 100))
trigger1 =power>150
value = 1010
[State -1, AI short kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-55, 85]) && (p2movetype = A) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 200))
trigger1 =power>150
value = 1000

[State -1, AI long kaiten koma]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-55, 120]) && (P2StateType != A) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 50))
trigger1 =power>150
value = 1020

[State -1, AI bakujin namekuji keri]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x >= 85) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 400))
value = 171717

[State -1, AI bakujin namekuji keri]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [-55, 165]) && (p2movetype = A) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [0, 700))
value = 171717

[State -1, AI kaiten keri]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [0, 60)) && (P2StateType != A) && (P2StateType != L) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [10, 30))
value = 1400
[State -1, AI kaiten keri]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [0, 80)) && (p2movetype = A) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [10, 500))
value = 1400


[State -1, AI namekuji kamikakushi back]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x > 50) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [400, 420))
value = 1200

[State -1, AI namekuji kamikakushi middle]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x > 50) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [420, 440))
value = 1210



[State -1, AI running slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [0, 55]) && (P2BodyDist y = [-80,0]) && (P2Life > 0)
trigger1 = (stateno = 100) && (random = [400, 700))
value = 230





[State -1, AI stand medium slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [50, 110]) && (P2BodyDist y = [-90,0]) && (P2Life > 0)
trigger1 = (StateType = S) && (ctrl) && (random = [160, 700))
value = 210

[State -1, AI short medium slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [0, 50]) && (P2BodyDist y = [-90,0]) && (P2Life > 0)
trigger1 = (StateType = S) && (ctrl) && (random = [160, 640))
value = 215


[State -1, AI stand fierce slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [30, 70]) && (P2BodyDist y = [-100,20]) && (P2Life > 0)
trigger1 = (StateType = S) && (ctrl) && (random = [700, 750))
value = 220



; AI Crouching Attacks
;---------------------



[State -1, AI crouch medium slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2BodyDist x = [35, 105]) && (P2BodyDist y = [-70,0]) && (P2Life > 0)
trigger1 = (StateType = C) && (ctrl) && (random = [100, 700))
value = 410


[State -1, AI crouch fierce slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2BodyDist x = [0, 85]) && (P2BodyDist y = [-125,0]) && (P2Life > 0)
trigger1 = (StateType != A) && (ctrl) && (random = [100, 750))
value = 420

[State -1, AI crouch fierce kick]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2BodyDist x = [0, 90]) && (P2BodyDist y = [-55,0]) && (P2Life > 0)
trigger1 = (StateType = C) && (ctrl) && (random = [450, 800))
value = 520


; AI Aerial Attacks
;------------------

[State -1, AI throw kunai]
type = ChangeState
triggerall = var(57) = 1 && NumHelper(1310) = 0
triggerall = (Pos y <= -90) && (P2BodyDist x > 60) && (P2Life > 0)
trigger1 = (StateType = A) && (ctrl) && (Vel y <= 0) && (random = [0, 200))
value = 1300

[State -1, AI air light slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2BodyDist x = [0, 60]) && (P2BodyDist y = [-40,60]) && (P2Life > 0)
trigger1 = (StateType = A) && (ctrl) && (random = [200, 300))
value = 600

[State -1, AI air light kick]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2BodyDist x = [0, 45]) && (P2BodyDist y = [-75,0]) && (P2Life > 0)
trigger1 = (StateType = A) && (ctrl) && (random = [300, 400))
value = 700

[State -1, AI air medium slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2BodyDist x = [0, 115]) && (P2BodyDist y = [-75,10]) && (P2Life > 0)
trigger1 = (StateType = A) && (ctrl) && (random = [400, 600))
value = 610

[State -1, AI air medium kick]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2BodyDist x = [0, 20]) && (P2BodyDist y = [-120,-40]) && (P2Life > 0)
trigger1 = (StateType = A) && (ctrl) && (random = [600, 700))
value = 710

[State -1, AI air fierce slash]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [0, 90]) && (P2BodyDist y = [-95,40]) && (P2Life > 0)
trigger1 = (StateType = A) && (ctrl) && (random = [700, 800))
value = 620

[State -1, AI air fierce kick]
type = ChangeState
triggerall = var(57) = 1
triggerall = (P2bodydist x = [0, 55]) && (P2BodyDist y = [-80,-15]) && (P2Life > 0)
trigger1 = (StateType = A) && (ctrl) && (random = [800, 850))
value = 720



;----------------------------------------------------------------------------------------------
; Player Mode
;----------------------------------------------------------------------------------------------

;===============
; Super Attacks
;===============

[State -1, RikiOh]
type = ChangeState
value = 2100
triggerall = var(57) <= 0 && var(6)=1
triggerall = command = "d_d_x"
trigger1 = statetype != A && ctrl

[State -1, KinGoh]
type = ChangeState
value = 2200
triggerall = var(57) <= 0 && var(6)=1
triggerall = command = "d_d_y"
trigger1 = statetype != A && ctrl
[State -1, KinGoh]
type = ChangeState
value = 3000
triggerall = var(57) <= 0&&power>=0
triggerall = var(21) = 0
triggerall = var(3) = 1
triggerall = command ="诺克萨斯断头台"
trigger1 = statetype != L
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(13)>=0
trigger11 = stateno = 1010 && animelemtime(10)>=0
trigger12 = stateno = 1700 && animelemtime(9)>=0
trigger13 = stateno = 1020 && animelemtime(16)>=0
trigger14 = stateno = 600 && animelemtime(6)>=0
trigger15 = stateno = 610 && animelemtime(8)>=0
trigger16 = stateno = 620 && animelemtime(7)>=0
trigger17= stateno = 422 && animelemtime(7)>=0
trigger18 = stateno = 300 && animelemtime(2)>=0
trigger19= stateno = 310 && animelemtime(4)>=0
trigger20= stateno = 325 && animelemtime(7)>=0
trigger21 = stateno = 330 && animelemtime(4)>=0
trigger22 = stateno = 230 && animelemtime(3)>=0
[State -1, KinGoh]
type = ChangeState
value = 3000
triggerall = var(57) <= 0&&power>=500
triggerall = var(3) != 1
triggerall = var(21) = 0
triggerall = command ="诺克萨斯断头台"
trigger1 = statetype !=L
trigger1 = ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(13)>=0
trigger11 = stateno = 1010 && animelemtime(10)>=0
trigger12 = stateno = 1700 && animelemtime(9)>=0
trigger13 = stateno = 1020 && animelemtime(16)>=0
trigger14 = stateno = 600 && animelemtime(6)>=0
trigger15 = stateno = 610 && animelemtime(8)>=0
trigger16 = stateno = 620 && animelemtime(7)>=0
trigger17= stateno = 422 && animelemtime(7)>=0
trigger18 = stateno = 300 && animelemtime(2)>=0
trigger19= stateno = 310 && animelemtime(4)>=0
trigger20= stateno = 325 && animelemtime(7)>=0
trigger21 = stateno = 330 && animelemtime(4)>=0
trigger22 = stateno = 230 && animelemtime(3)>=0
;=================
; Special Attacks
;=================

[State -1, short kaiten koma]
type = ChangeState
value = 1000
triggerall = var(57) <= 0
triggerall = command = "qcf_x"
triggerall = power>=150
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1810 && animelemtime(28)>=0
trigger11 = stateno = 1860 && animelemtime(28)>=0
trigger12 = stateno = 1700 && animelemtime(12)>=0
[State -1, short kaiten koma]
type = ChangeState
value = 1010
triggerall = var(57) <= 0
triggerall = command = "qcf_xx"
triggerall = power>=150
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1810 && animelemtime(28)>=0
trigger11 = stateno = 1860 && animelemtime(28)>=0
trigger12 = stateno = 1700 && animelemtime(12)>=0
[State -1, medium kaiten koma]
type = ChangeState
value = 420
triggerall = var(57) <= 0
triggerall = command = "qcf_y"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 410 && animelemtime(7)>=0
trigger11 = stateno = 300 && animelemtime(2)>=0
trigger12= stateno = 310 && animelemtime(4)>=0
trigger13= stateno = 325 && animelemtime(7)>=0
trigger14= stateno = 330 && animelemtime(4)>=0
trigger15 = stateno = 230 && animelemtime(3)>=0
[State -1, long kaiten koma]
type = ChangeState
value = 1020
triggerall = var(57) <= 0
triggerall = command = "qcf_z"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0

[State -1, namekuji kamikakushi back]
type = ChangeState
value = 1200
triggerall = var(57) <= 0
triggerall = command = "qcb_x"
trigger1 = statetype != A && ctrl
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100


[State -1, namekuji kamikakushi middle]
type = ChangeState
value = 1210
triggerall = var(57) <= 0
triggerall = command = "qcb_y"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100


[State -1, namekuji kamikakushi front]
type = ChangeState
value = 1220
triggerall = var(57) <= 0
triggerall = command = "qcb_z"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100


[State -1, kaiten keri]
type = ChangeState
value = 1400
triggerall = var(57) <= 0
triggerall = command = "超级无敌我登你"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(14)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 300 && animelemtime(2)>=0
trigger13= stateno = 310 && animelemtime(4)>=0
trigger14= stateno = 325 && animelemtime(7)>=0
trigger15 = stateno = 330 && animelemtime(4)>=0
trigger16 = stateno = 400 && animelemtime(3)>=0
trigger17 = stateno = 230 && animelemtime(4)>=0
trigger18 = stateno = 500 && animelemtime(2)>=0
trigger19 = stateno = 1810 && animelemtime(25)>=0
trigger20 = stateno = 1860 && animelemtime(25)>=0

[State -1, keriage]
type = ChangeState
value = 1450
triggerall = var(57) <= 0
triggerall = command = "qcf_c"
trigger1 = stateno = 1400 && MoveHit && HitPauseTime != 0
ignorehitpause = 1
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(7)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0

[State -1, short kaiten koma]
type = ChangeState
value = 1699
triggerall = var(57) <= 0
triggerall = command = "致残打击"
triggerall = power>=100
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(14)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 300 && animelemtime(2)>=0
trigger13= stateno = 310 && animelemtime(4)>=0
trigger14= stateno = 325 && animelemtime(7)>=0
trigger15 = stateno = 330 && animelemtime(4)>=0
trigger16 = stateno = 400 && animelemtime(3)>=0
trigger17 = stateno = 230 && animelemtime(4)>=0
trigger18 = stateno = 500 && animelemtime(2)>=0
trigger19 = stateno = 1810 && animelemtime(25)>=0
trigger20 = stateno = 1860 && animelemtime(25)>=0
[State -1, short kaiten koma]
type = ChangeState
value = 1800
triggerall = var(57) <= 0
triggerall = command = "无情铁手"
triggerall = power>=250
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0

trigger10 = stateno = 1000 && animelemtime(13)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
[State -1, short kaiten koma]
type = ChangeState
value = 1850
triggerall = var(57) <= 0
triggerall = command = "无情铁手2"
triggerall = power>=250
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
;=================
; Powered Attacks
;=================

[State -1, super strike]
type = ChangeState
value = 2000
triggerall = var(57) <= 0
triggerall = statetype = S && ctrl
trigger1 = command = "x" && command = "a"
trigger2 = command = "y" && command = "b"
trigger3 = command = "z" && command = "c"

[State -1, usonaki]
type = ChangeState
value = 1500
triggerall = var(57) <= 0 && life > 160
triggerall = statetype = C && ctrl
trigger1 = command = "x" && command = "a"
trigger2 = command = "y" && command = "b"
trigger3 = command = "z" && command = "c"

[State -1, throw kunai]
type = ChangeState
value = 1300
triggerall = var(57) <= 0
triggerall = statetype = A && ctrl && Vel y <= 0
trigger1 = command = "biao"

[State -1, get back kunai]
type = ChangeState
value = 1350
triggerall = var(57) <= 0 && NumHelper(1310) = 1
triggerall = command = "x"
triggerall = helper(1310), ParentDist x = [-20, 20]
trigger1 = statetype != A && ctrl

[State -1, confusing attack]
type = ChangeState
value = 1600
triggerall = var(57) <= 0
triggerall = stateno = 100
trigger1 = command = "x" && command = "a"
trigger2 = command = "y" && command = "b"
trigger3 = command = "z" && command = "c"



;================
; Standard Moves
;================

[State -1, run]
type = ChangeState
value = 100
triggerall = var(57) <= 0
triggerall = command = "FF"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100
[State -1, hop back]
type = ChangeState
value = 105
triggerall = var(57) <= 0
triggerall = command = "BB"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100


;========
; Throws
;========

[State -1, throw]
type = ChangeState
value = 800
triggerall = var(57) <= 0
triggerall = command ="z" && (command ="holdfwd" || command ="holdback")
trigger1 = StateType = S && ctrl
trigger1 = P2bodydist x <= 20 && P2StateType != A && P2MoveType != H



;==================
; Normal Attacks
;==================



[State -1, crouch medium slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "y" && command = "holddown"
trigger1 = statetype = C && ctrl
trigger2 = stateno = 400 && animelemtime(4)>=0
trigger3 = stateno = 510 && animelemtime(4)>=0
trigger4 = stateno = 500 && animelemtime(4)>=0
trigger5 = stateno = 200 && animelemtime(3)>=0
trigger6 = stateno = 205 && animelemtime(4)>=0
trigger7 = stateno = 215 && animelemtime(7)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 300 && animelemtime(2)>=0
trigger11= stateno = 310 && animelemtime(4)>=0
trigger12= stateno = 325 && animelemtime(7)>=0
trigger13 = stateno = 330 && animelemtime(4)>=0
trigger14 = stateno = 400 && animelemtime(3)>=0
value = 410

[State -1, crouch light slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "x" && command = "holddown"
trigger1 = statetype = C && ctrl

trigger2 = stateno = 500 && animelemtime(2)>=0
value = 400

[State -1, crouch fierce kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "c" && command = "holddown"
trigger1 = statetype = C && ctrl
value = 520

[State -1, crouch medium kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "b" && command = "holddown"
trigger1 = statetype = C && ctrl
value = 510

[State -1, crouch light kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "a" && command = "holddown"
trigger1 = statetype = C && ctrl
value = 500

[State -1, running slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = stateno = 100
trigger1 = command = "x" || command = "y"
value = 230

[State -1, running kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = stateno = 100
trigger1 = command = "a" || command = "b" || command = "c"
value = 330



[State -1, short medium slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "y" && P2BodyDist x <= 30
trigger1 = statetype = S && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
value = 215

[State -1, short light slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "x" && P2BodyDist x <= 30
trigger1 = statetype = S && ctrl
value = 205

[State -1, short fierce kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "c" && P2BodyDist x <= 30
trigger1 = statetype = S && ctrl
value = 325

[State -1, ]
type = ChangeState
value = 220
triggerall = var(57)<=0
triggerall = command = "跳斩"
trigger1 = statetype != A
trigger1 = ctrl


[State -1,1]
type = ChangeState
value = 226
triggerall = var(57)<=0
triggerall = command = "跳斩"
triggerall = statetype != A
trigger1 = stateno = 300 && animelemtime(3)>=0
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 230 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0

[State -1, stand medium slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "y"
trigger1 = statetype = S && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(8)>=0
value = 210

[State -1, stand light slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "x"
trigger1 = statetype = S && ctrl
value = 200

[State -1, stand fierce kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "c"
trigger1 = statetype = S && ctrl
value = 320

[State -1, stand medium kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "b"
trigger1 = statetype = S && ctrl
value = 310

[State -1, stand light kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "a"
trigger1 = statetype = S && ctrl
value = 300

[State -1, air fierce slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "z"
trigger1 = statetype = A && ctrl
value = 620

[State -1, air medium slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "y"
trigger1 = statetype = A && ctrl
value = 610

[State -1, air light slash]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "x"
trigger1 = statetype = A && ctrl
value = 600

[State -1, air fierce kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "c"
trigger1 = statetype = A && ctrl
value = 720

[State -1, air medium kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "b"
trigger1 = statetype = A && ctrl
value = 710

[State -1, air light kick]
type = ChangeState
triggerall = var(57)<=0
triggerall = command = "a"
trigger1 = statetype = A && ctrl
value = 700
[State -1, short kaiten koma]
type = ChangeState
value = 171717
triggerall = var(57) <= 0
triggerall =(command = "holdfwd" && command = "z")
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100
[State -1, short kaiten koma]
type = ChangeState
value = 171717
triggerall = var(57) <= 0
triggerall =command ="z"
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100

[State -1, short kaiten koma]
type = ChangeState
value = 171718
triggerall = var(57) <= 0
triggerall = (command = "holdback" && command = "z")
trigger1 = statetype != A && ctrl
trigger2 = stateno = 200 && animelemtime(3)>=0
trigger3 = stateno = 205 && animelemtime(4)>=0
trigger4 = stateno = 215 && animelemtime(5)>=0
trigger5 = stateno = 400 && animelemtime(4)>=0
trigger6 = stateno = 510 && animelemtime(4)>=0
trigger7 = stateno = 500 && animelemtime(4)>=0
trigger8 = stateno = 210 && animelemtime(7)>=0
trigger9 = stateno = 420 && animelemtime(7)>=0
trigger10 = stateno = 1000 && animelemtime(20)>=0
trigger11 = stateno = 1010 && animelemtime(14)>=0
trigger12 = stateno = 1700 && animelemtime(14)>=0
trigger13 = stateno = 410 && animelemtime(7)>=0
trigger14 = stateno = 300 && animelemtime(2)>=0
trigger15= stateno = 310 && animelemtime(4)>=0
trigger16= stateno = 325 && animelemtime(7)>=0
trigger17 = stateno = 330 && animelemtime(4)>=0
trigger18 = stateno = 400 && animelemtime(3)>=0
trigger19 = stateno = 230 && animelemtime(4)>=0
trigger20 = stateno = 500 && animelemtime(2)>=0
trigger21 = stateno = 100


